FACTER(8)

NAME
facter - Gather system information

SYNOPSIS
Collect and display facts about the system.

USAGE
facter [-h|--help] [-t|--timing] [-d|--debug] [-p|--puppet] [-v|--version]
  [-y|--yaml] [-j|--json] [--plaintext] [--external-dir DIR] [--no-external-dir]
  [fact] [fact] [...]

DESCRIPTION
Collect and display facts about the current system. The library behind Facter is easy to expand, making Facter an easy way to collect information about a system from within the shell or within Ruby.

If no facts are specifically asked for, then all facts will be returned.

EXAMPLE
Display all facts:

    $ facter
    architecture => amd64
    blockdevices => sda,sr0
    domain => example.com
    fqdn => puppet.example.com
    hardwaremodel => x86_64
    [...]

Display a single fact:

    $ facter kernel
    Linux

Format facts as JSON:

    $ facter --json architecture kernel hardwaremodel
    {
      "architecture": "amd64",
      "kernel": "Linux",
      "hardwaremodel": "x86_64"
    }

AUTHOR
Luke Kanies

COPYRIGHT
Copyright (c) 2011-2014 Puppet Labs, Inc Licensed under the Apache 2.0 license

OPTIONS
-y, --yaml                       Emit facts in YAML format.
-j, --json                       Emit facts in JSON format.
    --plaintext                  Emit facts in plaintext format.
    --trace                      Enable backtraces.
    --external-dir DIR           The directory to use for external facts.
    --no-external-dir            Turn off external facts.
-d, --debug                      Enable debugging.
-t, --timing                     Enable timing.
-p, --puppet                     Load the Puppet libraries, thus allowing Facter to load Puppet-specific facts.
-v, --version                    Print the version and exit.
-h, --help                       Print this help message.